//
//  MainWindowController.j
//  CATest
//
//  Created by Daniel Kennett on 13/10/2008.
//  Copyright KennettNet Software Limited 2008. All rights reserved.
//

import <Foundation/CPObject.j>


@implementation MainWindowController : CPWindowController
{
}


-(void)loadWindow {

	var theWindow = [[CPWindow alloc] initWithContentRect:CGRectMakeZero() styleMask:CPBorderlessBridgeWindowMask],
        contentView = [theWindow contentView];


	var collectionView = [[CPCollectionView alloc] initWithFrame:CGRectMake(0,0, 249, CPRectGetHeight([contentView frame]))];
	[collectionView setBackgroundColor:[CPColor colorWithCalibratedRed:0.839 green:0.866 blue:0.898 alpha:1.0]];
	[collectionView setAutoresizingMask:CPViewHeightSizable];
	[contentView addSubview:collectionView];

	var borderView = [[CPView alloc] initWithFrame:CGRectMake(249,0, 1, CPRectGetHeight([contentView frame]))];
	[borderView setBackgroundColor:[CPColor grayColor]];
	[collectionView setAutoresizingMask:CPViewHeightSizable];
	[contentView addSubview:borderView];


	var topView = [[CPTextField alloc] initWithFrame:CGRectMakeZero()];
	[topView setStringValue:"No Caches"];
	[topView setFont:[CPFont boldSystemFontOfSize:24.0]];
	[topView sizeToFit];
	[topView setAlignment:CPLeftTextAlignment];
	[topView setAutoresizingMask:CPViewHeightSizable | CPViewWidthSizable];
	[topView setTextColor:[CPColor grayColor]];
	
	var bottomView = [[CPTextField alloc] initWithFrame:CGRectMakeZero()];
	[bottomView setStringValue:"No Cache Selected"];
	[bottomView setFont:[CPFont boldSystemFontOfSize:24.0]];
	[bottomView sizeToFit];
	[bottomView setAlignment:CPLeftTextAlignment];
	[bottomView setAutoresizingMask:CPViewHeightSizable | CPViewWidthSizable];
	[bottomView setTextColor:[CPColor grayColor]];

	var splitView = [[CPSplitView alloc] initWithFrame:CGRectMake(250,0, CPRectGetWidth([contentView frame]) - 250, CPRectGetHeight([contentView frame]))];
	[splitView setAutoresizingMask:CPViewHeightSizable | CPViewWidthSizable];
	//[splitView setBackgroundColor:[CPColor blackColor]];
	
	[splitView setVertical:NO];
	[splitView addSubview:topView];
	[splitView addSubview:bottomView];
	
	[splitView setIsPaneSplitter:NO];
	
	[contentView addSubview:splitView];


	var tb = [[CPToolbar alloc] initWithIdentifier:"toolbar"];
	[tb setDelegate:self];
	[theWindow setToolbar:tb];
	
	[self setWindow:theWindow];

}

-(void)tbClicked:(id)sender {
	var HUDPanel = [[CPPanel alloc] 
					initWithContentRect:CGRectMake(0, 0, 225, 125)
					styleMask:CPHUDBackgroundWindowMask | CPClosableWindowMask];
	
	[HUDPanel setFloatingPanel:YES];
	[HUDPanel setTitle:@"Logged Out"];
	
	[HUDPanel orderFront:self];
	[HUDPanel center];
}


// Toolbar Delegates

-(CPArray)toolbarDefaultItemIdentifiers:(CPToolbar)toolbar {

	return [CPToolbarFlexibleSpaceItemIdentifier, "loginItem"];

}

-(CPArray)toolbarAllowedItemIdentifiers:(CPToolbar)toolbar {
	return ["loginItem", CPToolbarFlexibleSpaceItemIdentifier];
}


-(CPToolbarItem)toolbar:(CPToolbar)toolbar itemForItemIdentifier:(CPString)itemIdentifier willBeInsertedIntoToolbar:(BOOL)flag {

	var item = [[CPToolbarItem alloc] initWithItemIdentifier:itemIdentifier];
	[item setLabel:"Log In"];
	[item setPaletteLabel:"Log In"];
	[item setAction:@selector(tbClicked:)];
	[item setImage:[[CPImage alloc] initWithContentsOfFile:"Resources/Off.png" size:CGSizeMake(32,32)]];
	[item setMinSize:CGSizeMake(32, 32)];
	[item setMaxSize:CGSizeMake(32, 32)];
	
	return item;

}

@end